#include "UDS_2FService_Internal.h"

/**
  *蜂鸣器测试
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param BuzzerStatus 蜂鸣器状态：0关闭蜂鸣器，FF开启蜂鸣器
  */
void BuzzerTest(uint8_t ControlStatus, uint8_t BuzzerStatus)
{
    /*if(ControlStatus == 0x00u)
    {
        BuzzerForceCtrlRelease();
    }
    if(ControlStatus == 0x03u)
    {
        BuzzerForceCtrlRequest();
        if(BuzzerStatus == 0x00u)
        {
            BuzzerCtrlStopPlaying();
        }
        if(BuzzerStatus == 0xFFu)
        {
            BuzzerCtrlPlayBack();
        }
    }*/
}

/**
  *指针测试
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param GaugeType 控制的指针类型：1车速，2转速，3燃油，4水温
  *@param GaugeStatus 控制的指针类型：0零刻度，1半刻度，2满刻度
  */
void GaugeTest(uint8_t ControlStatus, uint8_t GaugeType, uint8_t GaugeStatus)
{
   /* if(ControlStatus == 0x00u)
    {
        UDS_SpeedoForceCtrlRelease();
        UDS_TachoForceCtrlRelease();
        FuelSEGForceCtrlRelease();
        ColantSEGForceCtrlRelease();
    }
    if(ControlStatus == 0x03u)
    {
        if(GaugeType == 0x01u)
        {
            //UDS_SpeedoForceCtrlRequest();
            if(GaugeStatus == 0x00u)
            {
                //UDS_SpeedoPosition_Min();
            }
            if(GaugeStatus == 0x01u)
            {
                //UDS_SpeedoPosition_Half();
            }
            if(GaugeStatus == 0x02u)
            {
                UDS_SpeedoPosition_Max();
            }
        }
        if(GaugeType == 0x02u)
        {
            UDS_TachoForceCtrlRequest();
            if(GaugeStatus == 0x00u)
            {
                UDS_TachoPosition_Min();
            }
            if(GaugeStatus == 0x01u)
            {
                UDS_TachoPosition_Half();
            }
            if(GaugeStatus == 0x02u)
            {
                UDS_TachoPosition_Max();
            }
        }
        if(GaugeType == 0x03u)
        {
            FuelSEGForceCtrlRequest();
            if(GaugeStatus == 0x00u)
            {
                FuelSEG_0_2();
            }
            if(GaugeStatus == 0x01u)
            {
                FuelSEG_1_2();
            }
            if(GaugeStatus == 0x02u)
            {
                FuelSEG_2_2();
            }
        }
        if(GaugeType == 0x04u)
        {
            ColantSEGForceCtrlRequest();
            if(GaugeStatus == 0x00u)
            {
                ColantSEG_0_2();
            }
            if(GaugeStatus == 0x01u)
            {
                ColantSEG_1_2();
            }
            if(GaugeStatus == 0x02u)
            {
                ColantSEG_2_2();
            }
        }
    }*/
}

/**
  *报警灯测试
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LampWarningStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LampWarningTest(uint8_t ControlStatus, uint8_t LampWarningStatus)
{
    /*if(ControlStatus == 0x00u)
    {
        Set_Telltales_UNControl();
    }
    if(ControlStatus == 0x03u)
    {
        Set_Telltales_Control();
        if(LampWarningStatus == 0x00u)
        {
            Set_Telltales_Control_AllOFF();
        }
        if(LampWarningStatus == 0xFFu)
        {
            Set_Telltales_Control_ALLON();
        }
    } */
}